package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsOperationGoods;
import com.ruoyi.system.domain.vo.ZsOperationGoodsVo;
import com.ruoyi.system.domain.bo.ZsOperationGoodsBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 商品配置Service接口
 *
 * @author 王强
 * @date 2025-05-08
 */
public interface IZsOperationGoodsService {

    /**
     * 查询商品配置
     */
    ZsOperationGoodsVo queryById(Long id);

    /**
     * 查询商品配置列表
     */
    TableDataInfo<ZsOperationGoodsVo> queryPageList(ZsOperationGoodsBo bo, PageQuery pageQuery);

    /**
     * 查询商品配置列表
     */
    List<ZsOperationGoodsVo> queryList(ZsOperationGoodsBo bo);

    /**
     * 新增商品配置
     */
    Boolean insertByBo(ZsOperationGoodsBo bo);

    /**
     * 修改商品配置
     */
    Boolean updateByBo(ZsOperationGoodsBo bo);

    /**
     * 校验并批量删除商品配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
